= content_for :title do
  = @post.title
p
  strong.me-2 Body:
  = @post.body
/ BEGIN

/ END
hr

.d-flex
  = link_to 'Edit', edit_post_path(@post), class: 'btn btn-outline-primary me-2'
  = link_to 'Back', posts_path, class: 'btn btn-outline-primary'
hr

- if @post.comments.any?

  table.table
    thead
      tr
        th #
        th Comment
        th
        th

    tbody
      - @post.comments.each_with_index do |post_comment, index|
        - if !post_comment.id.nil?
          tr
            td = index + 1
            td = post_comment.body
            td = link_to 'Edit', edit_post_comment_path(@post, post_comment.id)
            td = link_to 'Destroy', post_comment_path(@post, post_comment.id), data: { confirm: 'Are you sure?' }, method: :delete

h2 Add New comment

= render partial: 'post/comments/form', locals: {post_comment: @post_comment, url: post_comments_path(@post)}

